Access restriction: The type BASE64Encoder is not accessible due to restrict on required library

原创 2012年03月28日 19:49:23

    今天在写一个WebService程序时,用到了sun.misc.BASE64Encoder().encode(baos.toByteArray()); 但遇到了一个错误:

Access restriction: The type BASE64Encoder is not accessible due to restrict on required library  java/lib/rt.jar。

导入了这个jar可是还是不行,于是查了一下,解决方法是在project的build path里先删除JRE System Library,然后再添加一遍,就好了。

我也不知道为什么这么做,求大神解释~~

sun.misc.BASE64Encoder找不到jar包的解决方法

1.右键项目-》属性-》java bulid path-》jre System Library-》access rules-》resolution选择accessible,下面填上** 点击确定即可!...
  • JBxiaozi
  • JBxiaozi
  • 2012年03月14日 10:05
  • 224509

Access restriction: The type BASE64Encoder is not accessible due to restrict

在Eclipse中编写Java代码时,用到了BASE64Decoder,import sun.misc.BASE64Decoder;可是Eclipse提示:  Access restriction ...
  • spy19881201
  • spy19881201
  • 2011年11月18日 20:47
  • 5430

Access restriction: The type BASE64Encoder is not accessible due to restrict on required library

在MyEclipse中编写Java代码时,用到了BASE64Decoder,import sun.misc.BASE64Decoder;可是Eclipse提示: Access restriction...
  • u010739551
  • u010739551
  • 2015年08月27日 08:45
  • 591

Access restriction: The type BASE64Decoder is not accessible due to restriction on required library

import sun.misc.BASE64Decoder; import sun.misc.BASE64Encoder;
  • tengdazhang770960436
  • tengdazhang770960436
  • 2014年06月12日 10:20
  • 2656

The type Base64 is not accessible due to restriction on required library 解决办法

在Eclipse中编写Java代码时,用到了BASE64Decoder,import sun.misc.BASE64Decoder;可是Eclipse提示: Access restriction ...
  • zhiweianran
  • zhiweianran
  • 2012年12月26日 10:26
  • 4198

Access restriction: The type BASE64Encoder is not accessible due to restrict

在eclipse中使用sun.misc.BASE64Encoder,却提示“Access restriction: The type BASE64Encoder is not accessible d...
  • lgm277531070
  • lgm277531070
  • 2013年03月09日 10:07
  • 7391

The constructor BASE64Encoder() is not accessible due to restriction on required library的解决方法,经过测试正确

The constructor BASE64Encoder() is not accessible due to restriction on required library 2010-01-27...
  • lushuaiyin
  • lushuaiyin
  • 2011年09月06日 22:30
  • 1145

eclipse报Access restriction: The type 'BASE64Decoder' is not API处理方法

今天从svn更新代码之后,由于代码中使用了BASE64Encoder 更新之后报如下错误: Access restriction: The type ‘BASE64Decoder’ is no...
  • gnail_oug
  • gnail_oug
  • 2016年12月14日 11:28
  • 7113

Eclipse 编译错误 Access restriction:The type *** is not accessible due to restriction on... 解决方案

Eclipse 编译错误 Access restriction:The type *** is not accessible due to restriction on... 解决方案...
  • defonds
  • defonds
  • 2011年04月11日 10:07
  • 72024

**Access restriction: The type 'WebServlet' is not API (……)**

错误: **Access restriction: The type ‘WebServlet’ is not API (restriction on required library ‘D:\Prog...
  • Hanjiaqi96
  • Hanjiaqi96
  • 2015年09月28日 16:11
  • 1242
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Access restriction: The type BASE64Encoder is not accessible due to restrict on required library
举报原因:
原因补充:

(最多只允许输入30个字)